de.esprit.netsuite.netdata.enums

## Enum AgentFailure

- java.lang.Object
- - java.lang.Enum<AgentFailure>
  - - de.esprit.netsuite.netdata.enums.AgentFailure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AgentFailure>

      public enum AgentFailure
      extends java.lang.Enum<AgentFailure>

  This enum defines all types if errors that can occur during agent processing. For testing purposes only.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION_IN_ASYNC_EXECUTION`
    `EXCEPTION_IN_EXECUTION_FOR_RESPONSE`
    `EXCEPTION_IN_FINAL_EXECUTION_ON_CLIENT`
    `EXCEPTION_IN_FINAL_EXECUTION_ON_SERVER`
    `EXCEPTION_IN_INITIAL_EXECUTION_ON_CLIENT`
    `EXCEPTION_IN_INITIAL_EXECUTION_ON_SERVER`
    `EXCEPTION_IN_SYNC_EXECUTION`
    `RUNTIME_ERROR_IN_ASYNC_EXECUTION`
    `RUNTIME_ERROR_IN_EXECUTION_FOR_RESPONSE`
    `RUNTIME_ERROR_IN_MESSAGE_POSTPROCESSING`
    `RUNTIME_ERROR_IN_RESPONSE_POSTPROCESSING`
    `RUNTIME_ERROR_IN_SYNC_EXECUTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAsync()`
    `void` | `throwException(ApplicationContext ctx)`
    `void` | `throwRuntimeError(ApplicationContext ctx)`
    `static AgentFailure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AgentFailure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCEPTION_IN_SYNC_EXECUTION

          public static final AgentFailure EXCEPTION_IN_SYNC_EXECUTION

    - #### EXCEPTION_IN_ASYNC_EXECUTION

          public static final AgentFailure EXCEPTION_IN_ASYNC_EXECUTION

    - #### EXCEPTION_IN_EXECUTION_FOR_RESPONSE

          public static final AgentFailure EXCEPTION_IN_EXECUTION_FOR_RESPONSE

    - #### EXCEPTION_IN_FINAL_EXECUTION_ON_SERVER

          public static final AgentFailure EXCEPTION_IN_FINAL_EXECUTION_ON_SERVER

    - #### EXCEPTION_IN_FINAL_EXECUTION_ON_CLIENT

          public static final AgentFailure EXCEPTION_IN_FINAL_EXECUTION_ON_CLIENT

    - #### EXCEPTION_IN_INITIAL_EXECUTION_ON_SERVER

          public static final AgentFailure EXCEPTION_IN_INITIAL_EXECUTION_ON_SERVER

    - #### EXCEPTION_IN_INITIAL_EXECUTION_ON_CLIENT

          public static final AgentFailure EXCEPTION_IN_INITIAL_EXECUTION_ON_CLIENT

    - #### RUNTIME_ERROR_IN_SYNC_EXECUTION

          public static final AgentFailure RUNTIME_ERROR_IN_SYNC_EXECUTION

    - #### RUNTIME_ERROR_IN_ASYNC_EXECUTION

          public static final AgentFailure RUNTIME_ERROR_IN_ASYNC_EXECUTION

    - #### RUNTIME_ERROR_IN_EXECUTION_FOR_RESPONSE

          public static final AgentFailure RUNTIME_ERROR_IN_EXECUTION_FOR_RESPONSE

    - #### RUNTIME_ERROR_IN_RESPONSE_POSTPROCESSING

          public static final AgentFailure RUNTIME_ERROR_IN_RESPONSE_POSTPROCESSING

    - #### RUNTIME_ERROR_IN_MESSAGE_POSTPROCESSING

          public static final AgentFailure RUNTIME_ERROR_IN_MESSAGE_POSTPROCESSING

  - ### Method Detail

    - #### values

          public static AgentFailure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentFailure c : AgentFailure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentFailure valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### throwException

          public void throwException(ApplicationContext ctx)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### throwRuntimeError

          public void throwRuntimeError(ApplicationContext ctx)
                                 throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### isAsync

          public boolean isAsync()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.